#Western Castle floor 3 treasure 1
from eventAPI import *
from APIUtils import *

rtcastle3chest1 = 0

def fireEvent(e):
   global rtcastle3chest1
   rtcastle3chest1 = getTag(e, "rtcastle3chest1")
   if (rtcastle3chest1 == 1):
      return 1
   else:
      showMessage(e, ["You find a skeleton encased in a suit of rusted armor.", "", "The armor is covered in sword punctures and dents and you can easily guess that the owner met with a violent end."])
   showMessage(e, ["Amoung the possessions on the corpse you find a few arrows and a worn note."])
   giveItems(e, ["Ironwood Arrows (20)", "Worn Note"])
   rtcastle3chest1 = 1
   setTag(e, "rtcastle3chest1", rtcastle3chest1)
   return 1
